Bug 851391 - Throw out "DBus support" error in libvirtd.log when restart libvirtd
Throw out "DBus support" error in libvirtd.log when restart libvirtd
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Peter Krempa
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 23:41 EDT by EricLee
Modified: 2013-02-21 02:21 EST (History)
10 users (show)

See Also:
Fixed In Version: libvirt-0.10.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:21:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description EricLee 2012-08-23 23:41:07 EDT
Description of problem:
Throw out "DBus support" error in libvirtd.log when restart libvirtd

Version-Release number of selected component (if applicable):
libvirt-0.10.0-0rc1.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Install libvirt-0.10.0-0rc1.el6.x86_64 related packages
2.restart libvirtd service
3.check libvirtd.log
  
Actual results:
Get error:"2012-08-23 10:48:04.754+0000: 13238: error : virDBusGetSystemBus:193 : internal error DBus support not compiled into this binary"

Expected results:
No that error.

Additional info:
can not be reproduced in libvirt-0.10.0-0rc0.el6.x86_64,so setting regression.
Comment 3 Daniel Veillard 2012-08-24 03:27:25 EDT
that seems indicative of a compilation with firewalld support activated
which should not be the case on RHEL-6, very likely due to the surgery
i have to do to the spec file in RHEL-6.4 compared to upstream, I will
double-check

Daniel
Comment 4 Daniel Veillard 2012-08-24 03:39:15 EDT
Weird, looking at the configure output in build log:

https://brewweb.devel.redhat.com//getfile?taskID=4794240&name=build.log

...
checking for DBUS... no
...
configure: firewalld: no
...

  So there is no support compiled in for it, that's normal and
expected. It comes from

#else /* ! HAVE_DBUS */
DBusConnection *virDBusGetSystemBus(void)
{
    virReportError(VIR_ERR_INTERNAL_ERROR,
                   "%s", _("DBus support not compiled into this binary"));
    return NULL;
}

#endif /* ! HAVE_DBUS */

The question I have is if there is a loss of functionality due to this
error being logged or not. if not asserting a regression is a bit strong
in my opinion.
But this need to be fixed it seems to come from
 remoteDispatchAuthPolkit()
which calls virDBusGetSystemBus.

Daniel
Comment 5 Dave Allan 2012-08-27 09:39:59 EDT
(In reply to comment #0)
> can not be reproduced in libvirt-0.10.0-0rc0.el6.x86_64,so setting
> regression.

Damnit, new, incorrect, error messages are *not* regressions.  Stop setting this keyword for this class of BZ.
Comment 6 Peter Krempa 2012-08-28 09:27:16 EDT
Agreed. This isn't regresion nor blocker, just a stray error message that has no influence on the daemon. The message originates from NWFilter code that tries to connect to DBus unconditionaly.

I prepared a patch to silence the message:
http://www.redhat.com/archives/libvir-list/2012-August/msg01783.html
Comment 7 Peter Krempa 2012-08-29 04:12:34 EDT
With upstream commit

commit f33dfffc41751c514c3c2a2e7e32258de6275198
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Tue Aug 28 15:19:31 2012 +0200

    nwfilter: Don't try to acquire DBus context when DBus is disabled
    
    To silence error if DBus support is not compiled in.

the error message does not appear when libvirt is compiled without DBus support.

Moving to POST
Comment 9 EricLee 2012-09-03 03:47:45 EDT
Verified with libvirt-0.10.1-1.el6.

Steps to Verify:
1.Install libvirt-0.10.1-1.el6.x86_64 related packages
2.restart libvirtd service
3.check libvirtd.log

There is no error like "2012-08-23 10:48:04.754+0000: 13238: error : virDBusGetSystemBus:193 : internal error DBus support not compiled into this binary".

So moving to VERIFIED.
Comment 10 errata-xmlrpc 2013-02-21 02:21:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.